> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update team



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /team/{team_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /team/{team_id}:
    patch:
      tags:
        - Teams
      summary: Update team
      operationId: patch-current-team
      parameters:
        - name: team_id
          in: path
          required: true
          examples:
            Success:
              value: team_bVJM4y6m4VCyy101JzA3szlVGRb
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - teams
                    attributes:
                      type: object
                      properties:
                        address:
                          type: string
                        name:
                          type: string
                        currency:
                          type: string
                          default: USD
                          enum:
                            - USD
                            - BRL
                        referred_code:
                          type: string
                  required:
                    - id
                    - type
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: team_bVJM4y6m4VCyy101JzA3szlVGRb
                    type: teams
                    attributes:
                      name: Name
                      address: Address
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - teams
                    attributes:
                      type: object
                      properties:
                        address:
                          type: string
                        name:
                          type: string
                        currency:
                          type: string
                          default: USD
                          enum:
                            - USD
                            - BRL
                        referred_code:
                          type: string
                  required:
                    - id
                    - type
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: team_bVJM4y6m4VCyy101JzA3szlVGRb
                    type: teams
                    attributes:
                      name: Name
                      address: Address
        required: true
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: team_bVJM4y6m4VCyy101JzA3szlVGRb
                      type: teams
                      attributes:
                        name: Langworth-Langosh
                        slug: langworth-langosh
                        address: 2746 Joe Stream
                        currency: WST
                        enforce_mfa: false
                        referred_code: null
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/team'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.teams.update(team_id="team_bVJM4y6m4VCyy101JzA3szlVGRb", data={
                    "id": "team_bVJM4y6m4VCyy101JzA3szlVGRb",
                    "type": latitudesh_python_sdk.PatchCurrentTeamTeamsType.TEAMS,
                    "attributes": {
                        "address": "Address",
                        "name": "Name",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Teams.Update(ctx, \"team_bVJM4y6m4VCyy101JzA3szlVGRb\", operations.PatchCurrentTeamTeamsRequestBody{\n        Data: operations.PatchCurrentTeamTeamsData{\n            ID: \"team_bVJM4y6m4VCyy101JzA3szlVGRb\",\n            Type: operations.PatchCurrentTeamTeamsTypeTeams,\n            Attributes: &operations.PatchCurrentTeamTeamsAttributes{\n                Address: latitudeshgosdk.Pointer(\"Address\"),\n                Name: latitudeshgosdk.Pointer(\"Name\"),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.teams.update({
                teamId: "team_bVJM4y6m4VCyy101JzA3szlVGRb",
                requestBody: {
                  data: {
                    id: "team_bVJM4y6m4VCyy101JzA3szlVGRb",
                    type: "teams",
                    attributes: {
                      address: "Address",
                      name: "Name",
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    team:
      type: object
      properties:
        id:
          type: string
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            description:
              type: string
              nullable: true
            address:
              type: string
              nullable: true
            currency:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
            enforce_mfa:
              type: boolean
            users:
              type: array
              items:
                $ref: '#/components/schemas/user_include'
            projects:
              type: array
              items:
                $ref: '#/components/schemas/project_include'
            owner:
              $ref: '#/components/schemas/user_include'
            billing:
              type: object
              properties:
                id:
                  type: string
                customer_billing_id:
                  type: string
            feature_flags:
              type: array
              items:
                type: string
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````